Search Contracts

This endpoint allows search via querystring params. There are two search versions that can be set using the query string parameter searchVersion equal to 1 or 2. The response for search version 2 is in paginated format.

The search queries for version 1 include:

  • typeFilter
  • contractId
  • customerEmail
  • customerPhone
  • productSerialNumber
  • productTransactionId
  • sellerId
  • status
  • transactionId

The search term sellerId can be paired with any of the other terms to limit contracts by seller in version 1.

The search queries for version 2 include:

  • limit
  • cursor
  • sortKey
  • sortAsc
  • typeFilter
  • containsTransactionId
  • containsId
  • containsProductReferenceId
  • containsCustomerEmail
  • filterMatchStatuses
  • transactionDateBegin
  • transactionDateEnd
  • productTransactionDateBegin
  • productTransactionDateEnd
  • cancelledAtBegin
  • cancelledAtEnd
  • refundedAtBegin
  • refundedAtEnd
  • updatedAtBegin
  • updatedAtEnd

sellerId is a required querystring parameter in search version 1.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Filter for including contract types. NOTE - PCRS is the contract type for extended warranty contracts.

uuid

Unique identifier for an Extend contract.

string

Email of customer who purchased the contract.

string

Phone number of customer who purchased the contract.

string

Unique identifier for the customer in the merchant’s system.

string

Serial number of product purchased.

string

Unique identifier provided by merchant for transaction associated to the product covered by the Extend contract.

uuid

Unique identifier for merchant’s store in Extend’s system.

string
enum

Status of contract.

string

Unique identifier provided by merchant for transaction associated to Extend contract purchased.

string
enum

Key to sort contract search results by.

Allowed:
boolean

Sort by ascending values.

string

Transaction id to limit search by.

string

Contract id to limit search by.

string

Product reference id to limit search by.

string

Customer email to limit search by.

string

Merchant defined customer id to limit search by.

string

Contract statuses to filter search results by.

string

Beginning transaction date of warranty/plan to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Ending transaction date of warranty/plan to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Beginning transaction date of product purchased to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Ending transaction date of product purchased to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Beginning cancellation date of contract to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Ending cancellation date of contract to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Beginning refunded date of contract to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Ending refunded date of contract to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Beginning updated at date of contract to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

string

Ending updated at date of contract to limit search results by in milliseconds. NOTE - This field is formatted as a 13 digit Epoch timestamp.

boolean

Use the value true to return all the product info and plan details.

Headers
string
required

Used to indicate the original media type of the resource (prior to any content encoding applied for sending).

string
required

An Extend private API key used to authenticate requests.

string
required

Indicates which content types, expressed as MIME types, the client is able to understand, as well as identifies which API version to use in the request.

string
enum

Search version for searching contracts.

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json